# weighttp -c 1 -n 100 "http://localhost:38080/search?q=XcreateWindow"
# ./calc_total_time.pl /tmp/dcs-first-regexp-1.dat /tmp/dcs-receive-rank-1.dat /tmp/dcs-sort-1.dat /tmp/dcs-first-index-1.dat > /tmp/dcs-first-receive.sum
# zusätzlich 
set title "Response split into steps"
set ylabel "response time" offset -2
set xlabel "request"
set ytics format "%.0f ms"
set terminal tikz size 12.5cm,6cm
set output "response_split_after_regexp.tex"
set key bottom center outside horizontal autotitle columnhead
set yrange [0:100]
set xrange [0:100]
set style fill solid 1.0
plot "steps-after-regexp/dcs-total-1.dat" using 2 smooth sbezier title "total time", \
"steps-after-regexp/dcs-first-receive.sum" using 5 with boxes title "grep", \
"steps-after-regexp/dcs-first-receive.sum" using 4 with boxes title "sorting", \
"steps-after-regexp/dcs-first-receive.sum" using 3 with boxes title "ranking", \
"steps-after-regexp/dcs-first-regexp-1.dat" using 2 with boxes   title "n-gram"
